Respond To A Mutual-Aid Post
curl --request POST \
--url https://api.thefaithapp.com/v1/mutual-aid-posts/{post}/responses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"private_message": "I can help with transport. Please message me in the app."
}
'const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({private_message: 'I can help with transport. Please message me in the app.'})
};
fetch('https://api.thefaithapp.com/v1/mutual-aid-posts/{post}/responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/mutual-aid-posts/{post}/responses"
payload = { "private_message": "I can help with transport. Please message me in the app." }
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "Success",
"data": {
"response": {
"id": 902,
"post_id": 731,
"responder": {
"id": 415,
"name": "Casey M."
},
"private_message": "I can help with transport. Please message me in the app.",
"status": "pending",
"chat_channel_id": null,
"responded_at": "2026-07-18T10:15:00.000000Z",
"decided_at": null,
"completed_at": null
}
}
}Mutual Aid
Respond To A Mutual-Aid Post
Sends a private response to a mutual-aid post and starts a private coordination flow.
POST
/
v1
/
mutual-aid-posts
/
{post}
/
responses
Respond To A Mutual-Aid Post
curl --request POST \
--url https://api.thefaithapp.com/v1/mutual-aid-posts/{post}/responses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"private_message": "I can help with transport. Please message me in the app."
}
'const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({private_message: 'I can help with transport. Please message me in the app.'})
};
fetch('https://api.thefaithapp.com/v1/mutual-aid-posts/{post}/responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/mutual-aid-posts/{post}/responses"
payload = { "private_message": "I can help with transport. Please message me in the app." }
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "Success",
"data": {
"response": {
"id": 902,
"post_id": 731,
"responder": {
"id": 415,
"name": "Casey M."
},
"private_message": "I can help with transport. Please message me in the app.",
"status": "pending",
"chat_channel_id": null,
"responded_at": "2026-07-18T10:15:00.000000Z",
"decided_at": null,
"completed_at": null
}
}
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Path Parameters
Mutual-aid post identifier.
Required range:
x >= 1Body
application/json
Required string length:
2 - 1000Was this page helpful?